%define	Summary	Amphetamine is a cool Jump'n Run game

Summary:	%{Summary}
Name:		amphetamine
Version:	0.8.10
Release:	%mkrel 12
License:	GPL
Group:		Games/Arcade

Source0:	%{name}-%{version}.tar.bz2  
Source1:	%{name}-data-0.8.6.tar.bz2
Source11:	amph-16.png
Source12:	amph-32.png
Source13:	amph-48.png
Patch0:		%{name}_lib64.patch

Buildrequires:  SDL-devel xpm-devel

URL:		http://www.dataway.ch/~lukasl/amph/amph.html
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Amphetamine is a 2D - Jump'n'run shooter in the tradition of Super Mario Bros
and other classics. But it has unique features:
   - Fast 256 colour graphics
   - Seven weapons (like the seven deadly sins): Fight with arrow and bow,
      a scie, fire hands, etc. against monsters
   - Never seen graphics (in this genre) such as coronas (remember Unreal),
     dynamic coloured lightning, fogging, semitransparence and much more...
   - Raging fights against 11 bloodsucking monsters which themselves have
     several killing powers.

%prep
%setup -q

%ifarch x86_64
%patch0 -p1
%endif

# remove nasty no-newline-at-end-of-line
find . -name "*.hpp" -exec perl -pi -e '$_.="\n" if eof' {} \;
find . -name "*.cpp" -exec perl -pi -e '$_.="\n" if eof' {} \; #'

%build
%make INSTALL_DIR=%{_gamesdatadir}/amph CXXFLAGS="$RPM_OPT_FLAGS -O9 -funroll-loops -fomit-frame-pointer -ffast-math -Wcast-align -I./src `sdl-config --cflags`"

%install
rm -rf $RPM_BUILD_ROOT

install -m755 amph -D $RPM_BUILD_ROOT%{_gamesbindir}/amph
install -d -m755 $RPM_BUILD_ROOT%{_gamesdatadir}
tar -C $RPM_BUILD_ROOT%{_gamesdatadir} -xjf %{SOURCE1}

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Amphetamine
Comment=%{Summary}
Exec=%{_gamesbindir}/amph
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF


%if %mdkversion < 200900
%post
%update_menus
%endif
  
%if %mdkversion < 200900
%postun
%clean_menus 
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL README
%{_gamesbindir}/amph
%dir %{_gamesdatadir}/amph
%{_gamesdatadir}/amph/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/*




%changelog
* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.8.10-12mdv2009.0
+ Revision: 218436
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.8.10-12mdv2008.1
+ Revision: 135820
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Thu Dec 14 2006 Eskild Hustvedt <eskild@mandriva.org> 0.8.10-12mdv2007.0
+ Revision: 96745
- Added missing buildrequires
- Fixed the menu
- Import amphetamine

* Fri Jul 14 2006 Lenny Cartier <lenny@mandriva.com> 0.8.10-11mdv2007.0
- use mkrel
- xdg

* Thu Jan 19 2006 Lenny Cartier <lenny@mandriva.com> 0.8.10-10mdk
- patch0: fix lib64

* Tue Dec 27 2005 Lenny Cartier <lenny@mandriva.com> 0.8.10-9mdk
- rebuild

* Thu Sep 02 2004 Robert Vojta <robert.vojta@mandrake.org> 0.8.10-8mdk
- More application -> More Applications (#11010)

* Wed Jun 16 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.10-7mdk
- rebuild
- cosmetics

* Fri Apr 02 2004 Michael Scherer <misc@mandrake.org> 0.8.10-6mdk
- remove indentation on the menu files
- fix rpmlint warning

